Error: nmcli (0.9.10.0) and NetworkManager (1.10.2) versions don't match

network

#1

I am hoping to get https://www.npmjs.com/package/node-wifi working.

I have followed the instructions on https://docs.resin.io/reference/OS/network/2.x/ but I’m getting the following error:

root@xxxxxxxx:/usr/src/app# nmcli d wifi

(process:650): libnm-util-WARNING **: Ignoring invalid property 'route-data'

(process:650): libnm-util-WARNING **: Ignoring invalid property 'address-data'

(process:650): libnm-util-WARNING **: Ignoring invalid property 'route-data'

(process:650): libnm-util-WARNING **: Ignoring invalid property 'address-data'

(process:650): libnm-util-WARNING **: Ignoring invalid property 'route-data'

(process:650): libnm-util-WARNING **: Ignoring invalid property 'address-data'

(process:650): libnm-util-WARNING **: Ignoring invalid property 'route-data'

(process:650): libnm-util-WARNING **: Ignoring invalid property 'address-data'

(process:650): libnm-util-WARNING **: Ignoring invalid property 'route-data'

(process:650): libnm-util-WARNING **: Ignoring invalid property 'dns-priority'

(process:650): libnm-util-WARNING **: Ignoring invalid property 'address-data'

(process:650): libnm-util-WARNING **: Ignoring invalid property 'route-data'

(process:650): libnm-util-WARNING **: Ignoring invalid property 'dns-priority'

(process:650): libnm-util-WARNING **: Ignoring invalid property 'address-data'

(process:650): libnm-util-WARNING **: Ignoring invalid property 'route-data'

(process:650): libnm-util-WARNING **: Ignoring invalid property 'dns-priority'

(process:650): libnm-util-WARNING **: Ignoring invalid property 'address-data'

(process:650): libnm-util-WARNING **: Ignoring invalid property 'route-data'

(process:650): libnm-util-WARNING **: Ignoring invalid property 'dns-priority'

(process:650): libnm-util-WARNING **: Ignoring invalid property 'address-data'

(process:650): libnm-util-WARNING **: Ignoring invalid property 'route-data'

(process:650): libnm-util-WARNING **: Ignoring invalid property 'address-data'

(process:650): libnm-util-WARNING **: Ignoring invalid property 'route-data'

(process:650): libnm-util-WARNING **: Ignoring invalid property 'address-data'

(process:650): libnm-glib-WARNING **: Unknown device type 16
Error: nmcli (0.9.10.0) and NetworkManager (1.10.2) versions don't match. Force execution using --nocheck, but the results are unpredictable.

Any suggestions/ideas would be welcome. Thanks!


#4

You are running a very old NetworkManager version in your application container. If you are running a Debian based container, you may try out Debian Buster, e.g. FROM resin/%%RESIN_MACHINE_NAME%%-debian:buster in your Dockerfile. Probably Debian Stretch will work as well.


#6

Amazing! This has unlocked many possibilities for us that had been on pause for a few months.

Thanks so much! :raised_hands: